package label_tagging

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_tagging"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_tagging/list label_tagging GetLabelTaggingList
//
// Get label tagging list | 获取LabelTagging信息列表
//
// Get label tagging list | 获取LabelTagging信息列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: LabelTaggingListReq
//
// Responses:
//  200: LabelTaggingListResp

func GetLabelTaggingListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.LabelTaggingListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_tagging.NewGetLabelTaggingListLogic(r.Context(), svcCtx)
		resp, err := l.GetLabelTaggingList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
